Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class SlideUri

    java.lang.Object
      org.apache.slide.search.SlideUri

public class SlideUri
extends java.lang.Object

A SlideUri contains two parts the context path and the slide uri.

The context path is determined by the path of the webapp and the path to which the WebDavServlet is mapped. Samples: `/slide`, `/webapp/webdav` and `/`.

The slide uri is an URI as represented by `Uri`.

Method Summary
`static SlideUri` | `createWithRequestUri(java.lang.String slideContextPath, java.lang.String requestUri)` Creates a SlideUri.
`java.lang.String` | `getContextPath(java.lang.String slidePath)` Translates a slide uri to an absolute webdav path.
`java.lang.String` | `getSlidePath(java.lang.String davPath)` Determines the slidePath from an webdav path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createWithRequestUri

    public static SlideUri createWithRequestUri(java.lang.String slideContextPath,
                                                java.lang.String requestUri)

  Creates a SlideUri.

  Parameters:
    `slideContextPath` - the Context path of the WebDAVServlet
    `requestUri` - the URI from an WebDAV(HTTP) request
  Returns:
    the created SlideUri

### getSlidePath

    public java.lang.String getSlidePath(java.lang.String davPath)
                                  throws InvalidScopeException

  Determines the slidePath from an webdav path.

  Throws:
    `InvalidScopeException` - if the given path is absolute but not in the scope given by the current slice context path.

### getContextPath

    public java.lang.String getContextPath(java.lang.String slidePath)

  Translates a slide uri to an absolute webdav path.

  Parameters:
    `slidePath` - slide internal uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD